libvisio::VSDXMetaData Class Reference

Parses docProps/core.xml stream of a VSDX file. More...

`#include <VSDXMetaData.h>`

## Public Member Functions

| VSDXMetaData ()
| ~VSDXMetaData ()
bool | parse (librevenge::RVNGInputStream *input)
const librevenge::RVNGPropertyList & | getMetaData ()

## Private Member Functions

| VSDXMetaData (const VSDXMetaData &)
VSDXMetaData & | operator= (const VSDXMetaData &)
int | getElementToken (xmlTextReaderPtr reader)
void | readCoreProperties (xmlTextReaderPtr reader)
librevenge::RVNGString | readString (xmlTextReaderPtr reader, int stringTokenId)

## Private Attributes

librevenge::RVNGPropertyList | m_metaData

## Detailed Description

Parses docProps/core.xml stream of a VSDX file.

## Constructor & Destructor Documentation

## VSDXMetaData() [1/2]

libvisio::VSDXMetaData::VSDXMetaData | ( |  | ) |

Referenced by operator=(), and VSDXMetaData().

## ~VSDXMetaData()

libvisio::VSDXMetaData::~VSDXMetaData | ( |  | ) |

## VSDXMetaData() [2/2]

libvisio::VSDXMetaData::VSDXMetaData | ( | const VSDXMetaData & |  | ) |

private

## Member Function Documentation

## getElementToken()

int libvisio::VSDXMetaData::getElementToken | ( | xmlTextReaderPtr | reader | ) |

private

Referenced by parse(), readCoreProperties(), and readString().

## getMetaData()

const librevenge::RVNGPropertyList & libvisio::VSDXMetaData::getMetaData | ( |  | ) |

Referenced by libvisio::VSDXParser::parseMetaData().

## operator=()

VSDXMetaData & libvisio::VSDXMetaData::operator= | ( | const VSDXMetaData & |  | ) |

private

## parse()

bool libvisio::VSDXMetaData::parse | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by libvisio::VSDXParser::parseMetaData().

## readCoreProperties()

void libvisio::VSDXMetaData::readCoreProperties | ( | xmlTextReaderPtr | reader | ) |

private

Referenced by parse().

## readString()

librevenge::RVNGString libvisio::VSDXMetaData::readString | ( | xmlTextReaderPtr | reader,
|  | int | stringTokenId )

private

Referenced by readCoreProperties().

## Member Data Documentation

## m_metaData

librevenge::RVNGPropertyList libvisio::VSDXMetaData::m_metaData

private

Referenced by getMetaData(), readCoreProperties(), and VSDXMetaData().

The documentation for this class was generated from the following files:

- VSDXMetaData.h
- VSDXMetaData.cpp